Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 07-11-2010 05:06:08

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

[Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Salut à tous,

     Je me suis attelé a installer un système brique par brique ( plutot que parpaing sur parpaing lol ) et après l'installation de mplayer je n'arrive pas à lire les fichiers *.avi.
Je me doute bien qu'il me manque un codec mais je n'ai absolument aucune idée de son nom neutral
     Si vous avez une idée.

Ps : Ce fil n'est que le premier d'une longue série : les logiciels légers sont durs à trouver.

   D'avance merci à vous wink

Dernière modification par Clem (07-11-2010 06:33:24)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#2 07-11-2010 05:14:21

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Salut

Je dirais w64codecs.

Après réflexion, c'est plutôt le paquet gstreamer0.10-ffmpeg qu'il faut.

Dernière modification par martinux_qc (07-11-2010 05:36:45)


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#3 07-11-2010 06:10:48

zoroastre74
Membre
Distrib. : Debian Wheezy
Noyau : Linux 3.2
(G)UI : Awesome wm v3.4.13 (Octopus)
Inscription : 28-08-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Yep,

gstreamer0.10-ffmpeg n'est pas installé chez moi et je lis les fichiers avi.

Je dirais plutot :

libxvidcore4 libmpeg2-4 lame


lame pour le mp3

@+

Dernière modification par zoroastre74 (07-11-2010 06:31:42)

Hors ligne

#4 07-11-2010 06:19:56

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Je n'ai jamais eu besoin des w64codecs wink ( je me demande d'ailleurs à quoi ça peut servir ce machin )
Merci à toi ... Mais : soucis,
Après vérification j'ai déja installé gstreamer0.10-ffmpeg mais ça ne marche pôo sad

(g)MPlayer ouvre l'écran et le referme, ne me laissant que le son.

Si j'ai bien tout les codecs et qu'il s'agit d'un bug ou d'une erreur de configuration de MPlayer je passerai ce fil en résolu pour en ouvrir un autre.

A tout hasard je poste ici les sorties d'erreurs:

/* Note : Les lignes qui suivent me font penser à une erreur de configuration
pourtant je fais bien partie du groupe audio */
Can't open joystick device /dev/input/js0: No such file or directory
Can't init input joystick
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.
/* Ici le codec à bien l'air d'être pris en compte */
Playing /home/clem/diskHS.avi.
AVI file format detected.
[aviheader] Video stream found, -vid 0
[aviheader] Audio stream found, -aid 1
VIDEO:  [H264]  208x160  24bpp  29.969 fps  115.6 kbps (14.1 kbyte/s)
/* Ca re-coince ensuite */
open: No such file or directory
[MGA] Couldn't open: /dev/mga_vid
Error opening/initializing the selected video_out (-vo) device.
/* Le son s'initialise correctement */
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
AUDIO: 44100 Hz, 2 ch, s16le, 64.0 kbit/4.54% (ratio: 8000->176400)
Selected audio codec: [mp3] afm: mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
AO: [alsa] 48000Hz 2ch s16le (2 bytes per sample)
/* Et vlan la vidéo coince */
Video: no video
Starting playback...
A:  13.7 (13.6) of 188.4 (03:08.4)  1.3%  
/*Ici des erreurs gtk qui m'amènent à penser que mon WM
n'est pas adapté à une lecture vidéo, j'avais déjà eu des
problèmes avec totem */
(<unknown>:4007): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(<unknown>:4007): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
A:  39.9 (39.8) of 188.4 (03:08.4)  1.4%                                                                                                    
(<unknown>:4007): GLib-GObject-WARNING **: /scratch/build-area/glib2.0-2.24.2/gobject/gsignal.c:3079: signal name `depressed' is invalid for
A:  65.2 (01:05.1) of 188.4 (03:08.4)  1.4%                                                                                                
Broken frame at 0x7FB42
Broken frame at 0x7FB42                                                  
A:  65.3 (01:05.2) of 188.4 (03:08.4)  1.4%    
/* Et ç'est tout  */


Entre le WM, la config de MPlayer et le probleme de codec, ça fait beaucoup d'incertitudes neutral
A votre avis : un nouveau fil ou pas ???

EDIT =

Je dirais plutot :

Code:

libxvidcore4 libmpeg2-4 lame

lame pour le mp3


Je file voir. big_smile

Dernière modification par Clem (07-11-2010 06:37:31)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#5 07-11-2010 06:32:18

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Et bien il s'agissait bien d'une erreur de config' de mplayer. Tout les codecs étaient bien installés mais ça ne marchait pas mieux.
La solution: mplayer > préférences > video > Modifier le nombre de fps (tout en bas de la fenêtre )selon l'affichage que l'on désire et voilà.
J'ai encore perdu une bonne occasion de rtfm moi hmm

Résolu, merci à vous cool [small]( je vous aime )[/small]

Dernière modification par Clem (07-11-2010 06:34:15)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#6 07-11-2010 06:34:04

zoroastre74
Membre
Distrib. : Debian Wheezy
Noyau : Linux 3.2
(G)UI : Awesome wm v3.4.13 (Octopus)
Inscription : 28-08-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Yep !

Je dois reconnaitre que j'ai pris l'habitude d'installer les w32codecs. Si y'a moy de s'en passer, je suis preneur big_smile

@+

Hors ligne

#7 07-11-2010 06:35:55

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

zoroastre74 a écrit :

Yep !

Je dois reconnaitre que j'ai pris l'habitude d'installer les w32codecs. Si y'a moy de s'en passer, je suis preneur big_smile

@+


Tout les codecs pré-cités + libdvdcss2 et j'arrive à lire à peu près tout ( c à dire vraiment tout sauf les trucs crasseux que je n'ai pas encore endurés )

Edit = En plus de ça j'ai réglé mon problème de lecure vidéo en plein écran, C'est du dash ( Debian Almquist shell ) 2 en 1 ce fil.
Et encore un jeux de mots foireux de plus ( oui parce que j'utilise zsh lol )

Dernière modification par Clem (07-11-2010 06:53:23)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#8 07-11-2010 06:49:18

zoroastre74
Membre
Distrib. : Debian Wheezy
Noyau : Linux 3.2
(G)UI : Awesome wm v3.4.13 (Octopus)
Inscription : 28-08-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Yep!

Je vois que tu utilises

(g)MPlayer


.
Si ton but, c'est de choper des logiciels légers avec le moins de dépendances possibles, dans ce cas là, je te recommande plutôt smplayer

aptitude install smplayer smplayer-translations


Pour une base mplayer... Sinon xine gui est aussi une alternative. D'ailleurs, j'ai des paquets libxine installés sans avoir un gui autre que smplayer.

Mais bon, moins de dépendances ne signifie pas pour autant plus léger et/ou plus stable.

@+

Dernière modification par zoroastre74 (07-11-2010 06:53:15)

Hors ligne

#9 07-11-2010 06:53:01

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

zoroastre74 a écrit :

Yep!
je te recommande plutôt smplayer

aptitude install smplayer smplayer-translations


Pour une base mplayer, xine gui est aussi une alternative. D'ailleurs, j'ai des paquets libxine installés sans avoir un gui autre que smplayer.

Mais bon, moins de dépendances ne signifie pas pour autant plus léger et/ou plus stable.

@+


Merci, c'est noté smile
Ca m'intéresse car:

Moi a écrit :

Je me suis attelé a installer un système brique par brique


Après cela je m'attaque a un système "légo" tongue
En tout cas comparé à totem mplayer est une plume

Dernière modification par Clem (07-11-2010 06:55:13)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#10 07-11-2010 12:20:02

Invité-5
Banni(e)

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Pourquoi faire simple, si on peut faire compliqué.

Clem a écrit :

La solution: mplayer > préférences > video > Modifier le nombre de fps (tout en bas de la fenêtre )selon l'affichage que l'on désire et voilà.


Préférences => Video => vdpau VDPAU withX11 et c'est TOUT
Pas besoin wXXcodecs

zoroastre74 a écrit :

Je dois reconnaitre que j'ai pris l'habitude d'installer les w32codecs.


Plus besoin wXXcodecs

#11 07-11-2010 16:43:58

zoroastre74
Membre
Distrib. : Debian Wheezy
Noyau : Linux 3.2
(G)UI : Awesome wm v3.4.13 (Octopus)
Inscription : 28-08-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Yep !

J'avoue que je n'y connais pas grand chose à mplayer, à l'exeption du strict nécessaire. En fait, je suis peu amateur de video.

Pourtant, j'aimerais savoir à quoi correspond ce driver VDPAU withX11. Pour ma part, j'utilise xv. Voilà.

@+

Hors ligne

#12 07-11-2010 18:41:20

Invité-5
Banni(e)

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Salut,

En gros c'est ça http://weblog.frlinux.net/?p=249 ( pilote dans les dépôts si tu es intéressé )

@+

#13 07-11-2010 19:10:40

zoroastre74
Membre
Distrib. : Debian Wheezy
Noyau : Linux 3.2
(G)UI : Awesome wm v3.4.13 (Octopus)
Inscription : 28-08-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

ok !!!

Dommage que je n'ai pas un GPU Nvidia. (chipset Via sur portable et pilote Openchrome)
D'ailleurs, je me demande si xv est bien adapté. Je vais faire des recherches sur ce point.

Thanks

@+

################################
Suite...

http://www.cs.ait.ac.th/~on/mplayer/fr/index.html

Chapitre 8...

@+

Dernière modification par zoroastre74 (07-11-2010 19:24:34)

Hors ligne

#14 08-11-2010 00:20:55

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

En résumé de ce qu'il doit y avoir sur le site cité :
1) Si carte nvidia, choisir vdpau
1 bis) Sinon choix de xv
2) Si la carte est trop vieille pour supporter l'accélération matérielle, choisir gl2
3) Si ça ne marche toujours pas, choisir gl
4) Si rien d'autre ne marche, choisir X11

Hors ligne

#15 08-11-2010 04:10:30

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

arien a écrit :

Pourquoi faire simple, si on peut faire compliqué.

Clem a écrit :

La solution: mplayer > préférences > video > Modifier le nombre de fps (tout en bas de la fenêtre )selon l'affichage que l'on désire et voilà.


Préférences => Video => vdpau VDPAU withX11 et c'est TOUT


J'vais p't'être réinstaller les drivers proprios du coup ( j'me tate ). J'utilise nouveau et c'est trés bien (voire mieux)pour une utilisation simple mais c'est trés limité. sad
@Asmodée: Merci pour ce récapitulatif smile


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#16 08-11-2010 11:52:24

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Franchement, niveau 2D je n'ai rien eu à redire avec nouveau. J'ai un PC qui fonctionne dessus aussi et ça marche bien. Deux problèmes : gestion de l'énergie moyenne à médiocre ; pour la 3D (dont j'ai besoin, et pas pour jouer), c'est pas la peine.

EDIT: et il me semble qu'il [nouveau] fait fonctionner vdpau: il n'y a pas que le pilote nvidia qui le fourni... Mais j'ai jamais testé.

Dernière modification par Asmodée (08-11-2010 11:53:47)

Hors ligne

#17 09-11-2010 03:22:00

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [Résolu] Quel paquet pour lire les .avi .mpg .mpg4

Sur que pour la 3D les pilotes libres, faut rien espérer ( encore que Blender tourne -gentiment- avec radeon ). Et la gestion de l'énergie est merdique pour nouveau comme pour radeon.
Je testerais un de ces quatre nouveau+vdpau
Thanx

Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

Pied de page des forums